import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv, arc, pie } from 'd3';
import { message }  from './message'

const width = 500;
const height = 300;
const url = "https://gist.githubusercontent.com/kannamAmulyachowdary/607517e2f97cc3f084c58de74ddf0b44/raw/3aa1a9f6d9cf5e65add105d15e861628f915c99e/Amulyakannam.csv";

const colorArc = arc()
	.innerRadius(0)
	.outerRadius(width);

const colorPie = pie().value(5);

const App = () => {
  
  const [data, setData] = useState(null);
  
  useEffect(() => {
      csv(url).then(data=>{
      setData(data);
    });
  }, []);
  
  if(!data) {
    return  <pre>Loading...</pre>;
  }
  return (
  	<svg width = {width} height = {height}>
      <g transform = {`translate(${width/2},${height/2})`}>
      { colorPie(data).map((d,i)=>(
        <path fill = {d.data.hex} d= {colorArc(d)}/>
        ))}
      </g>
    </svg>
  )  
                        
};
const rootElement = document.getElementById("root");
ReactDOM.render(<App/>, rootElement);
